\name{mutate}
\alias{mutate}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Mutate an ARG}
\description{
  Mutates an ancestral recombination graph.
}
\usage{
mutate(graph, var, ascert = "panel(3)")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{graph}{ The ARG to be mutated }
  \item{var}{ The number of variable sites (must be less than a tenth
  of the number of sites in the ARG}
\item{ascert}{ The type of ascertainment.  A string that descibes
  the ascertainedment model.  Can be panel, doublepanel, random or
  bylength
}
}
\details{
  ~~ If necessary, more details than the description above ~~
}
\value{
  A list that has class \code{mutatedARG}
  \item{d }{A matrix of haplotypes}
  \item{positions }{The positions of the variable sites}
}
\author{ Ian Wilson <I.J.Wilson@ncl.ac.uk>}
\examples{
a <- simARG(200,1000,.01)
am <- mutate(a,50,"panel(4)")
image(t(am$d))
}
\keyword{ ~kwd1 }% at least one, from doc/KEYWORDS
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
